#ifndef __BOOT_UART_H
#define __BOOT_UART_H

#include "bootloader.h"

extern UART_HandleTypeDef huart_boot;

/* Инициализация UART */
void MX_BOOT_UART_Init(void);
/* Приём команды по UART по протоколу */
BootloaderCommand_t Bootloader_UART_Receive(Bootloader_t *bl);
/* Приём UART: страница + CRC */
void Bootloader_UART_Receive_Page(Bootloader_t *bl);

#endif //__BOOT_UART_H